! Norma-infinit = norma liniilor:
Real function Norm$(n, A)
real A(n,n)

Norm$ =0.0

do i =1,n
sum_row =SUM(abs(A(i, 1:n)))
!write(1,*) i, sum_row
if(sum_row > Norm$) then
Norm$ =sum_row
endif
enddo

END function Norm$


